%define fname %name-%{version}

Summary: Advanced Linux Sound Architecture (ALSA) utilities
Name:    alsa-utils
Version: 1.0.6
Release: 2mdk
Source:  ftp://ftp.alsa-project.org/pub/utils/%fname.tar.bz2
Patch0:  alsa-utils-1.0.6-propagate-errors.patch.bz2
License: GPL
BuildRoot: %_tmppath/%name-buildroot
Group: Sound
Url:   http://www.alsa-project.org

Requires: kernel >= 2.4.18
Requires: libalsa >= %version-0.6
BuildRequires: kernel-headers >= 2.4.0
BuildRequires: libalsa-devel >= %version
BuildRequires: ncurses-devel
# dependancies for alsaconf:
Requires: pciutils newt cdialog

%description
Advanced Linux Sound Architecture (ALSA) utilities. Modularized architecture
with support for a large range of ISA and PCI cards. Fully compatible with
OSS/Lite (kernel sound drivers), but contains many enhanced features.

This is the utilities package, which allows you to manipulate ALSA settings.

%prep
%setup -q -n %fname
%patch0 -p0

%build
%configure2_5x
make all

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc [A-Z][A-Z]*
%_bindir/*
%_sbindir/*
%_mandir/man*/*

%changelog
* Fri Sep 10 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.6-2mdk
- patch 0: propagate errors in alsactl when not using -F

* Mon Aug 16 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.6-1mdk
- new release

* Wed Aug 04 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.6-0.rc1.1mdk
- new release

* Fri May 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.5-1mdk
- new release

* Mon Apr 05 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-1mdk
- new release

* Thu Apr 01 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.4-0.rc1_1mdk
- new release

* Fri Mar 12 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.2-2mdk
- requires cdialog too (#8764) which looks nice than newt interface and
  remove one error message that may confuse the user

* Mon Jan 26 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.2-1mdk
- new release

* Thu Jan 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.1-1mdk
- new release

* Mon Dec 15 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.0-0.2rc2mdk
- new release

* Mon Dec 01 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.0-0.1rc1mdk
- new release (alsaconf got merged in alsa-utils)

* Mon Dec 01 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.8-3mdk
- source 1: update alsaconf

* Tue Nov 18 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.8-2mdk
- update alsaconf from cvs

* Thu Nov 06 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.8-1mdk
- new release

* Wed Oct 15 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.6-4mdk
- requires newt for alsaconf (#6039)

* Thu Sep 18 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.6-3mdk
- require lspci for alsaconf (#5686)
- fix deps for 64bits ports (Gwenole)

* Mon Sep 08 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.6-2mdk
- add alsaconf

* Thu Jul 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.5-1mdk
- new release

* Tue Apr 01 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.2-1mdk
- new release

* Thu Feb 13 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.8rc7mdk
- rc7

* Mon Dec 16 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.7rc2mdk
- remove deprecated changelog

* Thu Jul 18 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.6rc2mdk
- ALSA 0.9.0 RC 2

* Tue Jul 16 2002 Stefan van der Eijk <stefan@eijk.nu> 0.9.0-0.5rc1mdk
- BuildRequires

* Fri Apr 26 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.4rc1mdk
- remove useless mkdir
- sound group

* Wed Apr 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.3rc1mdk
- release candidate 1

* Fri Apr 19 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.2beta12mdk
- add alsactl (%%sbindir/*)

* Thu Apr 18 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.1beta12mdk
- initial release
